# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: complex_data_types.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='complex_data_types.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x18\x63omplex_data_types.proto\x12\x06mascot\"\x1c\n\x0bListOfBools\x12\r\n\x05value\x18\x01 \x03(\x08\"\x1b\n\nListOfInts\x12\r\n\x05value\x18\x01 \x03(\x03\"\x1e\n\rListOfDoubles\x12\r\n\x05value\x18\x01 \x03(\x01\"\x1e\n\rListOfStrings\x12\r\n\x05value\x18\x01 \x03(\t\"3\n\rMatrixOfBools\x12\"\n\x05value\x18\x01 \x03(\x0b\x32\x13.mascot.ListOfBools\"1\n\x0cMatrixOfInts\x12!\n\x05value\x18\x01 \x03(\x0b\x32\x12.mascot.ListOfInts\"7\n\x0fMatrixOfDoubles\x12$\n\x05value\x18\x01 \x03(\x0b\x32\x15.mascot.ListOfDoubles\"7\n\x0fMatrixOfStrings\x12$\n\x05value\x18\x01 \x03(\x0b\x32\x15.mascot.ListOfStringsb\x06proto3')
)




_LISTOFBOOLS = _descriptor.Descriptor(
  name='ListOfBools',
  full_name='mascot.ListOfBools',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.ListOfBools.value', index=0,
      number=1, type=8, cpp_type=7, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=36,
  serialized_end=64,
)


_LISTOFINTS = _descriptor.Descriptor(
  name='ListOfInts',
  full_name='mascot.ListOfInts',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.ListOfInts.value', index=0,
      number=1, type=3, cpp_type=2, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=66,
  serialized_end=93,
)


_LISTOFDOUBLES = _descriptor.Descriptor(
  name='ListOfDoubles',
  full_name='mascot.ListOfDoubles',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.ListOfDoubles.value', index=0,
      number=1, type=1, cpp_type=5, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=95,
  serialized_end=125,
)


_LISTOFSTRINGS = _descriptor.Descriptor(
  name='ListOfStrings',
  full_name='mascot.ListOfStrings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.ListOfStrings.value', index=0,
      number=1, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=127,
  serialized_end=157,
)


_MATRIXOFBOOLS = _descriptor.Descriptor(
  name='MatrixOfBools',
  full_name='mascot.MatrixOfBools',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.MatrixOfBools.value', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=159,
  serialized_end=210,
)


_MATRIXOFINTS = _descriptor.Descriptor(
  name='MatrixOfInts',
  full_name='mascot.MatrixOfInts',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.MatrixOfInts.value', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=212,
  serialized_end=261,
)


_MATRIXOFDOUBLES = _descriptor.Descriptor(
  name='MatrixOfDoubles',
  full_name='mascot.MatrixOfDoubles',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.MatrixOfDoubles.value', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=263,
  serialized_end=318,
)


_MATRIXOFSTRINGS = _descriptor.Descriptor(
  name='MatrixOfStrings',
  full_name='mascot.MatrixOfStrings',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='mascot.MatrixOfStrings.value', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=320,
  serialized_end=375,
)

_MATRIXOFBOOLS.fields_by_name['value'].message_type = _LISTOFBOOLS
_MATRIXOFINTS.fields_by_name['value'].message_type = _LISTOFINTS
_MATRIXOFDOUBLES.fields_by_name['value'].message_type = _LISTOFDOUBLES
_MATRIXOFSTRINGS.fields_by_name['value'].message_type = _LISTOFSTRINGS
DESCRIPTOR.message_types_by_name['ListOfBools'] = _LISTOFBOOLS
DESCRIPTOR.message_types_by_name['ListOfInts'] = _LISTOFINTS
DESCRIPTOR.message_types_by_name['ListOfDoubles'] = _LISTOFDOUBLES
DESCRIPTOR.message_types_by_name['ListOfStrings'] = _LISTOFSTRINGS
DESCRIPTOR.message_types_by_name['MatrixOfBools'] = _MATRIXOFBOOLS
DESCRIPTOR.message_types_by_name['MatrixOfInts'] = _MATRIXOFINTS
DESCRIPTOR.message_types_by_name['MatrixOfDoubles'] = _MATRIXOFDOUBLES
DESCRIPTOR.message_types_by_name['MatrixOfStrings'] = _MATRIXOFSTRINGS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ListOfBools = _reflection.GeneratedProtocolMessageType('ListOfBools', (_message.Message,), dict(
  DESCRIPTOR = _LISTOFBOOLS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ListOfBools)
  ))
_sym_db.RegisterMessage(ListOfBools)

ListOfInts = _reflection.GeneratedProtocolMessageType('ListOfInts', (_message.Message,), dict(
  DESCRIPTOR = _LISTOFINTS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ListOfInts)
  ))
_sym_db.RegisterMessage(ListOfInts)

ListOfDoubles = _reflection.GeneratedProtocolMessageType('ListOfDoubles', (_message.Message,), dict(
  DESCRIPTOR = _LISTOFDOUBLES,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ListOfDoubles)
  ))
_sym_db.RegisterMessage(ListOfDoubles)

ListOfStrings = _reflection.GeneratedProtocolMessageType('ListOfStrings', (_message.Message,), dict(
  DESCRIPTOR = _LISTOFSTRINGS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.ListOfStrings)
  ))
_sym_db.RegisterMessage(ListOfStrings)

MatrixOfBools = _reflection.GeneratedProtocolMessageType('MatrixOfBools', (_message.Message,), dict(
  DESCRIPTOR = _MATRIXOFBOOLS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.MatrixOfBools)
  ))
_sym_db.RegisterMessage(MatrixOfBools)

MatrixOfInts = _reflection.GeneratedProtocolMessageType('MatrixOfInts', (_message.Message,), dict(
  DESCRIPTOR = _MATRIXOFINTS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.MatrixOfInts)
  ))
_sym_db.RegisterMessage(MatrixOfInts)

MatrixOfDoubles = _reflection.GeneratedProtocolMessageType('MatrixOfDoubles', (_message.Message,), dict(
  DESCRIPTOR = _MATRIXOFDOUBLES,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.MatrixOfDoubles)
  ))
_sym_db.RegisterMessage(MatrixOfDoubles)

MatrixOfStrings = _reflection.GeneratedProtocolMessageType('MatrixOfStrings', (_message.Message,), dict(
  DESCRIPTOR = _MATRIXOFSTRINGS,
  __module__ = 'complex_data_types_pb2'
  # @@protoc_insertion_point(class_scope:mascot.MatrixOfStrings)
  ))
_sym_db.RegisterMessage(MatrixOfStrings)


# @@protoc_insertion_point(module_scope)
